<ion-menu side="left" id="authenticated" [content]="content">
    <ion-header>
        <ion-toolbar class="user-profile">
            <ion-grid>
                <ion-row menuClose (click)="profile()">
                    <ion-col col-4>
                        <div class="user-avatar">
                            <img src="assets/img/users.png">
                        </div>
                    </ion-col>
                    <ion-col style="padding-top: 25px" col-8>
                        <h2 ion-text class="no-margin text-white">
                            Profile
                        </h2>
                    </ion-col>
                </ion-row>
                <ion-row no-padding class="other-data">
                    <ion-col no-padding class="column">
                        <button ion-button icon-left small full class="btn-menu" menuClose (click)="changePassword()">
                            <ion-icon name="key"></ion-icon>
                            Change Password
                        </button>
                    </ion-col>
                    <ion-col no-padding class="column">
                        <button ion-button icon-left small full class="btn-menu" menuClose (click)="logout()">
                            <ion-icon name="log-out"></ion-icon>
                            Log Out
                        </button>
                    </ion-col>
                </ion-row>
            </ion-grid>
        </ion-toolbar>
    </ion-header>

    <ion-content color="primary">
        <ion-list class="user-list">
            <button ion-item menuClose class="text-1x" *ngFor="let menuItem of appMenuItems" (click)="openPage(menuItem)">
                <ion-icon item-left [name]="menuItem.icon" color="danger"></ion-icon>
                <span ion-text color="danger">{{menuItem.title}}</span>
                <!-- <span ion-text class="text-sm" color="danger">{{menuItem.desc}}</span> -->
            </button>
        </ion-list>
    </ion-content>
</ion-menu>

<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>